DotNetNuke AjaxControlToolkit, Version=3.0.30930.28736 Error

Could not load file or assembly ‘AjaxControlToolkit, Version=3.0.30930.28736, Culture=neutral, PublicKeyToken=28f01b0e84b6d53e’ or one of its dependencies. The located assembly’s manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)

We were playing today with a trial module from another developer. Received the above error. After much mucking around, we found that the very specific version of the

  • AjaxControlToolkit.dll

file that came with the module, was not installed during the normal module setup.

We extracted the file into the \bin\ directory on the site, and joy to the world.

Strange that a specific version is required and that the 3.5 or 4.0 version does not work. This is how they referenced a specific version. Not a good way to program.

Leave a Reply

Your email address will not be published. Required fields are marked *